---
title: "Proxy a Google Street View image for an address"
description: "Proxies a Google Street View Static API image through the backend so Google API keys remain server-side. Requires the PROPERTY_INTELLIGENCE workspace feature flag.\n"
---

> Documentation Index
> Fetch the complete documentation index at: https://developer.channelautomations.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Channel Automation API › Property Intelligence

`GET /api/property-intelligence/street-view-image`

Proxies a Google Street View Static API image through the backend so Google API keys remain server-side. Requires the PROPERTY_INTELLIGENCE workspace feature flag.

## Authentication

Requires one of the following:

- `BearerAuth`, http, header `Authorization`, format `JWT`
- `ApiKeyAuth`, apiKey, in header, header `X-API-Key`, format `API_KEY`

## Query parameters

- `address` (`get/api/property-intelligence/street-view-image.query.address`; string, required)
- `workspace_id` (`get/api/property-intelligence/street-view-image.query.workspace_id`; string, optional)
- `size` (`get/api/property-intelligence/street-view-image.query.size`; string, optional)
  - default `"640x360"`

## Header parameters

- `X-Workspace-Id` (`get/api/property-intelligence/street-view-image.header.X-Workspace-Id`; string, required) — Workspace ID for data isolation

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.channelautomation.com/api/property-intelligence/street-view-image?address=string' \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Workspace-Id: 15213'
```

### TypeScript

```typescript
const url = 'https://api.channelautomation.com/api/property-intelligence/street-view-image?address=string';
const options = {
  method: 'GET',
  headers: {'X-Workspace-Id': '15213', Authorization: 'Bearer <token>'}
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.channelautomation.com/api/property-intelligence/street-view-image?address=string"

headers = {
    "X-Workspace-Id": "15213",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Street View image bytes.

### 400

Missing address or workspace ID.

### 401

Authentication required

#### Example

```json
{
  "error": "Authentication required",
  "success": false
}
```

- `error` (`get/api/property-intelligence/street-view-image.response.401.error`; string, optional)
  - example `"Authentication required"`
- `success` (`get/api/property-intelligence/street-view-image.response.401.success`; boolean, optional)
  - example `false`

### 404

Feature disabled or route hidden.

### 500

Internal server error

#### Example

```json
{
  "error": "Internal server error",
  "details": "string",
  "success": false
}
```

- `error` (`get/api/property-intelligence/street-view-image.response.500.error`; string, optional)
  - example `"Internal server error"`
- `details` (`get/api/property-intelligence/street-view-image.response.500.details`; string, optional)
- `success` (`get/api/property-intelligence/street-view-image.response.500.success`; boolean, optional)
  - example `false`


Source: https://developer.channelautomations.com/api/get-api-property-intelligence-street-view-image/index.md
